---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/commit-id: 43db942bd5641ae293df75b65cd1eefd40b8085e
    app.quarkus.io/build-timestamp: 2021-11-17 - 06:42:01 +0000
  labels:
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.0.1
    app: automationservice
  name: automationservice
spec:
  ports:
    - name: grpc-server
      port: 9999
      targetPort: 9999
    - name: http
      port: 8080
      targetPort: 8080
  selector:
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.0.1
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/commit-id: 43db942bd5641ae293df75b65cd1eefd40b8085e
    app.quarkus.io/build-timestamp: 2021-11-17 - 06:42:01 +0000
  labels:
    app: automationservice
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.0.1
  name: automationservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: automationservice
      app.kubernetes.io/version: 0.0.1
  template:
    metadata:
      annotations:
        app.quarkus.io/commit-id: 43db942bd5641ae293df75b65cd1eefd40b8085e
        app.quarkus.io/build-timestamp: 2021-11-17 - 06:42:01 +0000
      labels:
        app: automationservice
        app.kubernetes.io/name: automationservice
        app.kubernetes.io/version: 0.0.1
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: CONTEXT_SERVICE_HOST
              value: context
            - name: DEVICE_SERVICE_HOST
              value: device
          image: registry.gitlab.com/teraflow-h2020/controller/automation:0.0.1
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 45
            successThreshold: 1
            timeoutSeconds: 10
          name: automationservice
          ports:
            - containerPort: 9999
              name: grpc-server
              protocol: TCP
            - containerPort: 8080
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 45
            successThreshold: 1
            timeoutSeconds: 10
